<?php
namespace Teknisa\PED\Controllers;

use Teknisa\PED\Controllers\TeknisaCrud;
use Zeedhi\Framework\DataSource\ParameterBag;
use \Doctrine\ORM\EntityManager;
use Teknisa\PED\Services\Ped02900FatorAjusteProdutoService;
use Zeedhi\Framework\DTO\Row;
use Zeedhi\Framework\DTO;

class Ped02900FatorAjusteProdutoController extends TeknisaCrud{
    
    protected $service;
    
    public function __construct($crudService, ParameterBag $parameterBag, $environment, $entityManager, Ped02900FatorAjusteProdutoService $service ) {
        parent::__construct($crudService, $parameterBag);
        $this->environment = $environment;
        $this->entityManager = $entityManager;
        $this->service = $service;
    }
    
    public function realizaCadastramento(DTO\Request\Row $request, DTO\Response $response) {
        $row = $request->getRow();
        $this->service->realizaCadastramento($row, $response);
    }
}